[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSList.Move

Moves an item from one position in the list to another.

## Declaration

Source position: fgl.pp line 86

`public procedure TFPSList.Move(`
`CurIndex: Integer;`
`NewIndex: Integer`
`);`

## Arguments

`CurIndex` |  | Item's current position in the list.
`NewIndex` |  | Items new position in the list.

## Description

Move moves the item at position CurIndex to position NewIndex. This is done by storing the value at position CurIndex, deleting the pointer at position CurIndex, and reinserting the value at position NewIndex

## Errors

If CurIndex or Newindex are not inside the valid range of indices, an EListError exception is raised.

## See also

Exchange |  | Exchange two items in the list